return {

	'folke/which-key.nvim',
	'nvim-lua/plenary.nvim',
	'mfussenegger/nvim-jdtls',
	'simrat39/rust-tools.nvim',
	'sakhnik/nvim-gdb',
	{ 'mg979/vim-visual-multi',  event = 'VeryLazy' },
	{ 'rush-rs/tree-sitter-asm', ft = 'asm' },
	{ 'jghauser/mkdir.nvim',     lazy = false },
	-- {
	-- 	'jakewvincent/mkdnflow.nvim',
	-- 	dependencies = 'nvim-lua/plenary.nvim',
	-- 	ft = 'markdown',
	-- 	opts = {},
	-- },
	{
		'glepnir/dbsession.nvim',
		cmd = { 'SessionSave', 'SessionDelete', 'SessionLoad' },
		opts = {},
	},
	{
		"stevearc/dressing.nvim",
		lazy = true,
		init = function()
			---@diagnostic disable-next-line: duplicate-set-field
			vim.ui.select = function(...)
				require("lazy").load({ plugins = { "dressing.nvim" } })
				return vim.ui.select(...)
			end
			---@diagnostic disable-next-line: duplicate-set-field
			vim.ui.input = function(...)
				require("lazy").load({ plugins = { "dressing.nvim" } })
				return vim.ui.input(...)
			end
		end,
	},
	{
		"ecthelionvi/NeoSwap.nvim",
		opts = {}
	},
}
