require 'config.lazy'
require 'config.autocmd'
require 'config.options'

vim.api.nvim_create_autocmd('User', {
	pattern = 'LazyVimStarted',
	callback = function()
		vim.cmd 'colorscheme neogruber'
		require 'config.mappings'
		require 'feline'
		require 'dressing'
		require 'NeoSwap'
	end,
})
