local l = false
return {
	{
		-- url = 'https://git.filnar.com/fiplox/neogruber.git',
		dir = '~/dev/home/neogruber.nvim/',
		lazy = false,
		opts = {
			transparent = true,
			light = l,
		}
		-- event = 'VeryLazy'
	},
	-- {
	-- 	"Mofiqul/adwaita.nvim",
	-- 	lazy = false,
	-- 	priority = 1000,
	-- 	-- configure and set on startup
	-- 	config = function()
	-- 		vim.g.adwaita_darker = false -- for darker version
	-- 		vim.g.adwaita_disable_cursorline = false -- to disable cursorline
	-- 		vim.g.adwaita_transparent = true -- makes the background transparent
	-- 		-- vim.cmd('colorscheme adwaita')
	-- 	end
	-- },
	{
		'freddiehaddad/feline.nvim',
		dependencies = {
			'nvim-tree/nvim-web-devicons',
		},
		config = function()
			local feline = require 'feline'
			local utils = require 'config.utils'
			local c = utils.feline_c
			local theme
			if l then
				theme = utils.feline_theme_light
			else
				theme = utils.feline_theme_dark
			end
			local vi_mode_colors = utils.feline_vi_mode_colors

			local left = {
				c.vim_mode,
				-- c.gitBranch,
				-- c.gitDiffAdded,
				-- c.gitDiffRemoved,
				-- c.gitDiffChanged,
				c.file_info,
				c.right_separator,
				c.lsp_client_names,
				c.diagnostic_errors,
				c.diagnostic_warnings,
				c.diagnostic_info,
				c.diagnostic_hints,
			}

			-- local middle = {
			-- 	c.separator,
			-- }

			local right = {
				c.file_type,
				c.search_count,
				c.macro,
				c.file_encoding,
				-- c.startup,
				c.line_percentage,
				c.select_count,
				c.position,
			}

			local components = {
				active = {
					left,
					-- middle,
					right,
				},
				inactive = {
					left,
					-- middle,
					right,
				},
			}

			feline.setup {
				components = components,
				theme = theme,
				vi_mode_colors = vi_mode_colors,
			}
		end,
	},
	-- {
	-- 	'nvim-lualine/lualine.nvim',
	-- 	dependencies = { 'nvim-tree/nvim-web-devicons', 'nvim-lua/lsp-status.nvim' },
	-- 	opts = {
	-- 		options = {
	-- 			theme = "adwaita"
	-- 		},
	-- 		sections = {
	-- 			lualine_a = { 'mode' },
	-- 			lualine_b = { 'branch', 'diff', 'diagnostics' },
	-- 			lualine_c = { 'filename', "require'lsp-status'.status()" },
	-- 			lualine_x = { 'encoding', 'fileformat', 'filetype' },
	-- 			lualine_y = { 'progress' },
	-- 			lualine_z = { 'location' }
	-- 		},
	-- 		inactive_sections = {
	-- 			lualine_a = {},
	-- 			lualine_b = {},
	-- 			lualine_c = { 'filename', "require'lsp-status'.status()" },
	-- 			lualine_x = { 'location' },
	-- 			lualine_y = {},
	-- 			lualine_z = {}
	-- 		},
	-- 		tabline = {},
	-- 		winbar = {},
	-- 		inactive_winbar = {},
	-- 		extensions = {}
	-- 	},
	-- },
	-- {
	-- 	'nvimdev/dashboard-nvim',
	-- 	event = 'VimEnter',
	-- 	opts = {
	-- 		-- theme = 'doom',
	-- 		theme = 'hyper',
	-- 		shortcut_type = 'number',
	-- 		config = {
	-- 			shortcut = {
	-- 				-- action can be a function type
	-- 				{
	-- 					desc = "Files",
	-- 					group = '',
	-- 					key = 'f',
	-- 					action = 'edit .'
	-- 				},
	-- 			},
	-- 			packages = { enable = false }, -- show how many plugins neovim loaded
	-- 			-- limit how many projects list, action when you press key or enter it will run this action.
	-- 			-- action can be a functino type, e.g.
	-- 			-- action = func(path) vim.cmd('Telescope find_files cwd=' .. path) end
	-- 			project = {
	-- 				enable = true,
	-- 				limit = 8,
	-- 				-- icon = ' ',
	-- 				label = '',
	-- 				action = 'edit'
	-- 			},
	-- 			mru = {
	-- 				limit = 10,
	-- 				-- icon = 'your icon',
	-- 				label = '',
	-- 			},
	-- 			footer = {}, -- footer
	-- 		}
	-- 	},
	-- 	dependencies = { { 'nvim-tree/nvim-web-devicons' } }
	-- },
}
